# mixer.h File Reference

`#include <glibmm.h>`
`#include <gst/interfaces/mixeroptions.h>`
`#include <gstreamermm/mixertrack.h>`
`#include <glibmm/interface.h>`

Go to the source code of this file.

## Namespaces

namespace | Gst
namespace | Glib

## Classes

class | Gst::Mixer
| Gst::Mixer - Interface for elements that provide mixer operations. More...

## Enumerations

enum | Gst::MixerType { Gst::MIXER_HARDWARE, Gst::MIXER_SOFTWARE }
enum | Gst::MixerFlags { Gst::MIXER_FLAG_NONE = 0, Gst::MIXER_FLAG_AUTO_NOTIFICATIONS = 1<<0 }
enum | Gst::MixerMessageType { Gst::MIXER_MESSAGE_INVALID, Gst::MIXER_MESSAGE_MUTE_TOGGLED, Gst::MIXER_MESSAGE_RECORD_TOGGLED, Gst::MIXER_MESSAGE_VOLUME_CHANGED, Gst::MIXER_MESSAGE_OPTION_CHANGED, Gst::MIXER_MESSAGE_OPTIONS_LIST_CHANGED, Gst::MIXER_MESSAGE_MIXER_CHANGED }

## Functions

MixerFlags | Gst::operator| (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator& (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator^ (MixerFlags lhs, MixerFlags rhs)
MixerFlags | Gst::operator~ (MixerFlags flags)
MixerFlags& | Gst::operator|= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator&= (MixerFlags& lhs, MixerFlags rhs)
MixerFlags& | Gst::operator^= (MixerFlags& lhs, MixerFlags rhs)